---
title: ':only-of-type'
slug: 'Web/CSS/:only-of-type'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:only-of-type</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents an element that has no siblings of the same type.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects each &lt;p&gt;, but only if it is the */
/* only &lt;p&gt; element inside its parent */
p:only-of-type {
  background-color: lime;
}</pre>

<div class="note">
<p><strong>Note</strong>: As originally defined, the selected element had to have a parent. Beginning with Selectors Level 4, this is no longer required.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_elements_with_no_siblings_of_the_same_type">Styling elements with no siblings of the same type</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;main&gt;
  &lt;div&gt;I am `div` #1.&lt;/div&gt;
  &lt;p&gt;I am the only `p` among my siblings.&lt;/p&gt;
  &lt;div&gt;I am `div` #2.&lt;/div&gt;
  &lt;div&gt;I am `div` #3.
    &lt;i&gt;I am the only `i` child.&lt;/i&gt;
    &lt;em&gt;I am `em` #1.&lt;/em&gt;
    &lt;em&gt;I am `em` #2.&lt;/em&gt;
  &lt;/div&gt;
&lt;/main&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">main :only-of-type {
  color: red;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Styling_elements_with_no_siblings_of_the_same_type','100%',180)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#only-of-type-pseudo', ':only-of-type')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Matching elements are not required to have a parent.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#only-of-type-pseudo', ':only-of-type')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.only-of-type")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref(":only-child")}}</li>
 <li>{{Cssxref(":first-of-type")}}</li>
 <li>{{Cssxref(":last-of-type")}}</li>
 <li>{{Cssxref(":nth-of-type")}}</li>
</ul>
